# Visualization
TKService
Aspect

# Aspect_Pixel Class Reference

This class defines a Pixel.
.

`#include <Aspect_Pixel.hxx>`

Inheritance diagram for Aspect_Pixel:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT void | Print (Standard_OStream &s) const =0
| Prints the contents of <me> on the stream <s> .

## Protected Member Functions

Standard_EXPORT | Aspect_Pixel ()

## Friends

Standard_EXPORT Standard_OStream & | operator<< (Standard_OStream &, const Aspect_Pixel &)
Standard_EXPORT friend Handle_Standard_Type & | Aspect_Pixel_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_Pixel::Aspect_Pixel | ( |  | ) | `[protected]`

## Member Function Documentation

void Aspect_Pixel::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in Aspect_ColorPixel, and Aspect_IndexPixel.

void* Aspect_Pixel::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in Aspect_ColorPixel, and Aspect_IndexPixel.

void* Aspect_Pixel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in Aspect_ColorPixel, and Aspect_IndexPixel.

virtual Standard_EXPORT void Aspect_Pixel::Print | ( | Standard_OStream & | s | ) | const`[pure virtual]`

| Implemented in Aspect_ColorPixel, and Aspect_IndexPixel.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Aspect_Pixel_Type_ | ( |  | ) | `[friend]`

Standard_EXPORT Standard_OStream& operator<< | ( | Standard_OStream & | ,
|  | const Aspect_Pixel & |
| ) | `[friend]`

The documentation for this class was generated from the following file:

- Aspect_Pixel.hxx